#include<iostream>
using namespace std;
int main(){
    long long a, b, k, otg = 0;
    cin >> a >> b >> k;
    if(k > b){
        cout << (b - a) / 2 + (b - a) % 2;
        return 0;
    }
    if(k % 2 == 0){
        cout << (b - a) / 2 + (a + 1) % 2;
        return 0;
    }
    for(long long i = a; i < b; ){
        if((i + 2) % k > 0){
            i++;
            otg++;
        }else{
            otg++;
        }
        i++;
    }
    cout << otg;
    return 0;
}
